AuthPrincipalBean (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.AuthPrincipalBean class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class AuthPrincipalBean

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.AuthPrincipalBean

    public class AuthPrincipalBean

extends java.lang.Object

Simple validation bean used for storing data during validation of auth related bean properties.

Constructor Summary
`AuthPrincipalBean()`
`AuthPrincipalBean(java.lang.String p, java.lang.String pw, java.lang.String pwv)`

Method Summary
`java.lang.String` | `getPassVerify()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getPrincipal()`
`void` | `setPassVerify(java.lang.String passVerify)`
`void` | `setPassword(java.lang.String password)`
`void` | `setPrincipal(java.lang.String principal)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthPrincipalBean

    public AuthPrincipalBean()

### AuthPrincipalBean

    public AuthPrincipalBean(java.lang.String p,
                             java.lang.String pw,
                             java.lang.String pwv)

Method Detail

### getPrincipal

    public java.lang.String getPrincipal()

### setPrincipal

    public void setPrincipal(java.lang.String principal)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getPassVerify

    public java.lang.String getPassVerify()

### setPassVerify

    public void setPassVerify(java.lang.String passVerify)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.